[Solved] Problem with JRE

Discuss the database features

[Solved] Problem with JRE

Postby mrmatt » Mon Apr 22, 2019 7:06 pm

Hello.

Thought I'd try and use OpenOffice Base today, having never previously used it.

I get an error message saying needs Java RE. We already had the latest version 8 (build 211) of Java SE, so I downloaded the appropriate Java Runtime Environment.

Having done that, I restarted the PC to make sure, and I am still getting that error messsage, and can go no further. Which is annoying, obviously.

Can someone tell me where I'm going wrong with this somehow, please?

Thanks.
Last edited by Hagar Delest on Tue Apr 23, 2019 9:59 am, edited 1 time in total.
Reason: tagged solved
LibreOffice 6.2.3

W10 Home (64-bit), build 1809 (17763.529)
mrmatt
 
Posts: 10
Joined: Mon Apr 22, 2019 6:59 pm

Re: Problem with JRE

Postby RoryOF » Mon Apr 22, 2019 7:09 pm

OpenOffice on Windows is at present a 32 bit application so it needs you to download and install a 32 bit Java.
Apache OpenOffice 4.1.7 on Xubuntu 18.04.3 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 29484
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Problem with JRE

Postby mrmatt » Mon Apr 22, 2019 7:37 pm

Success !

The Java SE I've got is 64-bit, presumably I don't need a 32-bit as well ?

Now OpenOffice works with JRE 32-bit, shall I just remove the 64-bit one, or leave that on also?

Thanks for helping fix that problem.
LibreOffice 6.2.3

W10 Home (64-bit), build 1809 (17763.529)
mrmatt
 
Posts: 10
Joined: Mon Apr 22, 2019 6:59 pm

Re: Problem with JRE

Postby Villeroy » Mon Apr 22, 2019 7:52 pm

OpenOffice is 32-bit and requires a 32-bit JRE.
Remove OpenOffice.
Install https://libreoffice.org/ (64 bit for WIndows) instead. LibreOffice is the actively developed successor of OpenOffice which stands still since 5 years.
Please, edit this topic's initial post and add "[Solved]" to the subject line if your problem has been solved.
Ubuntu 18.04, no OpenOffice, LibreOffice 6.x
User avatar
Villeroy
Volunteer
 
Posts: 27112
Joined: Mon Oct 08, 2007 1:35 am
Location: Germany

Re: Problem with JRE

Postby Zizi64 » Mon Apr 22, 2019 7:53 pm

Now OpenOffice works with JRE 32-bit, shall I just remove the 64-bit one, or leave that on also?


The different bit-versions of the JRE can work on same PC in same time.
Tibor Kovacs, Hungary; LO6.1.6 on Win7-10 x64Prof.
PortableApps, winPenPack: LO3.3.0-6.2.5; AOO4.1.6
Please, edit the initial post in the topic: add the word [Solved] at the beginning of the subject line - if your problem has been solved.
User avatar
Zizi64
Volunteer
 
Posts: 8228
Joined: Wed May 26, 2010 7:55 am
Location: Budapest, Hungary

Re: Problem with JRE

Postby mrmatt » Mon Apr 22, 2019 8:26 pm

Villeroy wrote:OpenOffice is 32-bit and requires a 32-bit JRE.
Remove OpenOffice.
Install https://libreoffice.org/ (64 bit for WIndows) instead. LibreOffice is the actively developed successor of OpenOffice which stands still since 5 years.



I've just noticed in my signature I should have specified which version of OpenOffice I'm using (i.e. Apache OpenOffice 4.1.6), so I've now rectified that.


Apache OpenOffice I thought was still supported ? What differences are there then between that and LibreOffice ? If someone could give me some idea please ?

To be honest, my mother (who is a septuagenarian) and I have not been using Apache all this long, so there would have to be some very compelling arguments in order to change to using LibreOffice instead.
LibreOffice 6.2.3

W10 Home (64-bit), build 1809 (17763.529)
mrmatt
 
Posts: 10
Joined: Mon Apr 22, 2019 6:59 pm

Re: Problem with JRE

Postby Villeroy » Mon Apr 22, 2019 8:45 pm

Apache OpenOffice is effectively dead. Not enough developers for this giant code base. Most of them switched over to LO several years ago. Is it compelling enough that in the year 2019 there is no 64-bit version of OpenOffice?
Please, edit this topic's initial post and add "[Solved]" to the subject line if your problem has been solved.
Ubuntu 18.04, no OpenOffice, LibreOffice 6.x
User avatar
Villeroy
Volunteer
 
Posts: 27112
Joined: Mon Oct 08, 2007 1:35 am
Location: Germany

Re: Problem with JRE

Postby UnklDonald418 » Tue Apr 23, 2019 1:05 am

OO updates and bug fixes appear far less frequently, but for many users OO still works fine.
I have both OO and LO installed. In my experience using them both on a Windows 10 platform, the Base and Impress modules experience more crashes when using LO.
At this point in time the differences between OO and LO are still more cosmetic than functional. If you have been using OO for years you may have a little trouble locating some menu items in LO because they may have moved. The icons have definitely changed, but if you select Tools>Options>LibreOffice>View>Icon Style>Elementary they will be a little more familiar.
The LO Base module has seen a few changes, but it still works substantially the same as OO Base.
If your problem has been solved, please edit this topic's initial post and add "[Solved]" to the beginning of the subject line
Apache OpenOffice 4.1.6 & LibreOffice 6.1.5.2 - Windows 10 Professional
UnklDonald418
Volunteer
 
Posts: 1213
Joined: Wed Jun 24, 2015 12:56 am
Location: Colorado, USA

Re: Problem with JRE

Postby mrmatt » Tue Apr 23, 2019 5:39 am

I'll consider it then. As long as files created in Apache OpenOffice work in LibreOffice.

Thank you for your replies.
LibreOffice 6.2.3

W10 Home (64-bit), build 1809 (17763.529)
mrmatt
 
Posts: 10
Joined: Mon Apr 22, 2019 6:59 pm

Re: [Solved] Problem with JRE

Postby mrmatt » Fri May 24, 2019 10:19 pm

I just wanted to say, I ditched Apache a couple of days ago, and replaced it with LibreOffice.

Looking good so far, much better than the other one ! Thanks for the recommendation !

Why is it then that download sites such as FileHIppo are still offering Apache then, given it's no longer supported ?

Thanks once again for your help guys.
LibreOffice 6.2.3

W10 Home (64-bit), build 1809 (17763.529)
mrmatt
 
Posts: 10
Joined: Mon Apr 22, 2019 6:59 pm

Re: [Solved] Problem with JRE

Postby RoryOF » Fri May 24, 2019 10:49 pm

It is supported - you got support here, did you not?
Apache OpenOffice 4.1.7 on Xubuntu 18.04.3 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 29484
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: [Solved] Problem with JRE

Postby mrmatt » Fri May 24, 2019 11:10 pm

See Villeroys post.

Yes, I did receive support from the forum users - but as I understand it, Apache is no longer supported.
LibreOffice 6.2.3

W10 Home (64-bit), build 1809 (17763.529)
mrmatt
 
Posts: 10
Joined: Mon Apr 22, 2019 6:59 pm

Re: [Solved] Problem with JRE

Postby RoryOF » Fri May 24, 2019 11:15 pm

Apache do not work as quickly as LibreOffice, but a new version is in progress.
Apache OpenOffice 4.1.7 on Xubuntu 18.04.3 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 29484
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: [Solved] Problem with JRE

Postby mrmatt » Fri May 24, 2019 11:47 pm

Well, I'm glad I now made the move to LibreOffice.
LibreOffice 6.2.3

W10 Home (64-bit), build 1809 (17763.529)
mrmatt
 
Posts: 10
Joined: Mon Apr 22, 2019 6:59 pm

Re: [Solved] Problem with JRE

Postby Zizi64 » Sat May 25, 2019 1:01 pm

Well, I'm glad I now made the move to LibreOffice.

Apache OpenOffice 4.1.6
W10 Home (64-bit), build 1809 (17763.437)


Then please update your signature in this forum.
Tibor Kovacs, Hungary; LO6.1.6 on Win7-10 x64Prof.
PortableApps, winPenPack: LO3.3.0-6.2.5; AOO4.1.6
Please, edit the initial post in the topic: add the word [Solved] at the beginning of the subject line - if your problem has been solved.
User avatar
Zizi64
Volunteer
 
Posts: 8228
Joined: Wed May 26, 2010 7:55 am
Location: Budapest, Hungary

Re: [Solved] Problem with JRE

Postby mrmatt » Sat May 25, 2019 3:17 pm

Of course, will do right now.

Sorry, I forgot about that.
LibreOffice 6.2.3

W10 Home (64-bit), build 1809 (17763.529)
mrmatt
 
Posts: 10
Joined: Mon Apr 22, 2019 6:59 pm

Re: [Solved] Problem with JRE

Postby Zizi64 » Sun May 26, 2019 6:53 am

Libre OpenOffice 4.1.6


There is not Such office suite.

There are
- Apache OpenOffice, with a thin support of Apache
- LibreOffice, supported by The Document Foundation
- NeoOffice for MAC

The common ancestor of them was the StarOffice.

The recent versions of the existing office suites are:
AOO: 4.1.6 - x86 only
LO Still: 6.1.6 - x86 and x64 - recommended version for you
LO Fresh: 6.2.4 - x86 and x64
NeoOffice: 2017

Here is the development line for LibreOffice, OpenOffice an the NeoOffice
https://en.wikipedia.org/wiki/File:Star ... atives.svg

https://en.wikipedia.org/wiki/LibreOffice
Tibor Kovacs, Hungary; LO6.1.6 on Win7-10 x64Prof.
PortableApps, winPenPack: LO3.3.0-6.2.5; AOO4.1.6
Please, edit the initial post in the topic: add the word [Solved] at the beginning of the subject line - if your problem has been solved.
User avatar
Zizi64
Volunteer
 
Posts: 8228
Joined: Wed May 26, 2010 7:55 am
Location: Budapest, Hungary

Re: [Solved] Problem with JRE

Postby mrmatt » Sun May 26, 2019 9:21 am

Eeeh, what am I like?

Corrected.
LibreOffice 6.2.3

W10 Home (64-bit), build 1809 (17763.529)
mrmatt
 
Posts: 10
Joined: Mon Apr 22, 2019 6:59 pm

Re: [Solved] Problem with JRE

Postby Zizi64 » Sun May 26, 2019 9:39 am

Eeeh, what am I like?

Corrected.

Libre OpenOffice...


No, there is not "Libre OpenOffice"
If you have installed both of the open source office suites (it is possible!), the you have
LibreOffice and Apache OpenOffice
Tibor Kovacs, Hungary; LO6.1.6 on Win7-10 x64Prof.
PortableApps, winPenPack: LO3.3.0-6.2.5; AOO4.1.6
Please, edit the initial post in the topic: add the word [Solved] at the beginning of the subject line - if your problem has been solved.
User avatar
Zizi64
Volunteer
 
Posts: 8228
Joined: Wed May 26, 2010 7:55 am
Location: Budapest, Hungary

Re: [Solved] Problem with JRE

Postby mrmatt » Sun May 26, 2019 10:07 am

LibreOffice 6.2.3 then (no Apache OpenOffice on here any longer). Duly changed.

Right, I think that's that then?
LibreOffice 6.2.3

W10 Home (64-bit), build 1809 (17763.529)
mrmatt
 
Posts: 10
Joined: Mon Apr 22, 2019 6:59 pm


Return to Base

Who is online

Users browsing this forum: No registered users and 5 guests